
LABINVENT (InventIrap) - Anomalie #1138
materiel/edit : nom du responsable perdu lors de l'edition, dans certains cas
03/18/2013 02:40 pm - Etienne Pallier

Status: Fermé Start date: 03/18/2013
Priority: Urgent Due date:
Assignee: Elodie Bourrec % Done: 0%
Category: Estimated time: 0.00 hour
Target version: version 1.3 Spent time: 0.00 hour
Description

il semble que ce bug soit lié à la façon dont le fichier inventaire a ete importé.

2 Exemples (mais il y en a surement plein d'autres) :

- si tu édites cette fiche (Nicolas André ) : https://inventirap.irap.omp.eu/materiels/edit/124
Son nom est perdu lors de l'édition, et c'est parce que tu l'as entré en "Nicolas Andre" au lieu de "Andre Nicolas" 
(j'ai testé, si je selectionne Andre Nicolas, ensuite ca marche bien)

- si tu édites cette fiche (Agbevenou Agathe ) : https://inventirap.irap.omp.eu/materiels/edit/126
Son nom s'affiche bien, mais pas son email...
par contre, si on la selectionne dans la liste, son email s'affiche bien...
Là je comprends pas, si ce n'est peut-etre que tu as des espaces en trop ou des caracteres speciaux...

History
#1 - 03/18/2013 02:40 pm - Etienne Pallier
- Target version set to version 1.3

#2 - 04/18/2013 06:39 pm - Elodie Bourrec

Corrigé. Le nom du responsable doit etre insere dans la base "Nom Prenom". 
Par la meme occasion, le statut doit etre en MAJUSCULE "VALIDATED" et tous les champs sujets a contrainte (cle etrangere) doivent etre a NULL (et
pas "NULL")

#3 - 04/19/2013 10:31 am - Etienne Pallier
- Status changed from Nouveau to Fermé
